Bump libsigrok/libsigrokdecode dependencies to 0.3.0 each.
authorUwe Hermann <uwe@hermann-uwe.de>
Tue, 6 May 2014 21:17:43 +0000 (23:17 +0200)
committerUwe Hermann <uwe@hermann-uwe.de>
Tue, 6 May 2014 21:17:43 +0000 (23:17 +0200)
README
configure.ac

diff --git a/README b/README
index 535538289008f48b503606783d7ee90715fad894..5220f45e12474d5e391067b2205e58457abfa9ed 100644 (file)
--- a/README
+++ b/README
@@ -28,8 +28,8 @@ Requirements
  - libtool
  - pkg-config >= 0.22
  - libglib >= 2.28.0
- - libsigrok >= 0.2.0
- - libsigrokdecode >= 0.2.0
+ - libsigrok >= 0.3.0
+ - libsigrokdecode >= 0.3.0
 
 
 Building and installing
index 8ab33aae1f76f1e4f1ede8724f33ba0f492c98dd..77857f0762807af529a4b108ffd3d072fcdfa152 100644 (file)
@@ -64,12 +64,12 @@ AM_CONDITIONAL(WITH_SRD, test x$WITH_SRD = xyes)
 AM_PATH_GLIB_2_0([2.28.0],
        [CFLAGS="$CFLAGS $GLIB_CFLAGS"; LIBS="$LIBS $GLIB_LIBS"])
 
-PKG_CHECK_MODULES([libsigrok], [libsigrok >= 0.2.0],
+PKG_CHECK_MODULES([libsigrok], [libsigrok >= 0.3.0],
        [CFLAGS="$CFLAGS $libsigrok_CFLAGS";
        LIBS="$LIBS $libsigrok_LIBS"])
 
 if test "x$WITH_SRD" = "xyes"; then
-       PKG_CHECK_MODULES([libsigrokdecode], [libsigrokdecode >= 0.2.0],
+       PKG_CHECK_MODULES([libsigrokdecode], [libsigrokdecode >= 0.3.0],
                [CFLAGS="$CFLAGS $libsigrokdecode_CFLAGS";
                        LIBS="$LIBS $libsigrokdecode_LIBS";
                        AC_DEFINE(HAVE_SRD, [1], [libsigrokdecode is available.])]
@@ -98,7 +98,7 @@ echo "Detected libraries:"
 echo
 
 # Note: This only works for libs with pkg-config integration.
-for lib in "glib-2.0 >= 2.28.0" "libsigrok >= 0.2.0" "libsigrokdecode >= 0.2.0"; do
+for lib in "glib-2.0 >= 2.28.0" "libsigrok >= 0.3.0" "libsigrokdecode >= 0.3.0"; do
        if test "$lib" = "libsigrokdecode" -a "$WITH_SRD" != "yes" ; then
                answer="no"
        else